# $Revision: 1.30.2.2 $, $Date: 2003/04/28 12:51:51 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Lingua
%define	pnam	EN-NameParse
Summary:	Lingua::EN::NameParse perl module
Summary(pl):	Modu perla Lingua::EN::NameParse
Name:		perl-Lingua-EN-NameParse
Version:	1.18
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-paths.patch
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Parse-RecDescent
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Lingua::EN::NameParse - routines for manipulating a persons name.

%description -l pl
Lingua::EN::NameParse - umoliwia operacje na imionach osb.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch -p0

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README demo.pl
%{perl_sitelib}/Lingua/EN/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Lingua-EN-NameParse.spec,v $
Revision 1.30.2.2  2003/04/28 12:51:51  ankry
- really rel++

Revision 1.30.2.1  2003/03/13 00:57:50  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.30  2003/02/25 00:40:14  radek
- use the __perl macro

Revision 1.29  2003/02/18 15:35:20  ankry
- massive attack: change CPAN URLs

Revision 1.28  2002/07/11 13:00:58  qboosh
- new %%doc, cosmetics

Revision 1.27  2002/07/11 08:01:00  depesz
- new version; should work; STBR

Revision 1.26  2002/07/10 08:47:51  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.25  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.24  2002/02/25 10:32:36  depesz
cleanup; revision++

Revision 1.23  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/02/13 14:17:50  depesz
automatic: Source location unfied, Relase Up

Revision 1.21  2002/02/10 15:28:22  depesz
adapterized

Revision 1.20  2002/01/18 02:14:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/10/01 09:50:37  mis
- autoupdated to 1.16

Revision 1.18  2001/08/02 08:29:54  mis
- autoupdated to 1.15

Revision 1.17  2001/07/25 09:09:08  mis
- autoupdated to 1.14

Revision 1.16  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.15  2001/04/30 15:02:30  baggins
- updated to 1.13
- fixed %%files

Revision 1.14  2001/04/17 12:11:33  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.13  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.12  2001/04/04 15:38:05  mis
- autoupdated to 1.12

Revision 1.11  2001/02/28 19:04:12  mis
- updated (by autoup) to 1.11

Revision 1.10  2001/02/19 14:16:18  mis
- updated (by autoup) to 1.05

Revision 1.9  2001/01/11 01:43:26  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.8  2000/06/09 07:54:54  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:37  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 00:14:06  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:54  baggins
- translated kloczkish into english

Revision 1.3  2000/02/17 23:58:05  pius
- updated to 1.00

Revision 1.2  1999/11/05 19:46:58  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:44  pius
- initial release
